            console.log('FACEBOOK PIXEL ENHANCER BY LeadsBridge.com');    
        
        //<script>
        (function() {
            var FBPE={};
            FBPE.loadingJQuery=false;
            FBPE.loadingFacebook=false;
            FBPE.loadingTime=0;
            FBPE.errors=[];

            FBPE.startsWith=function(text, prefix) {
                return (text.indexOf(prefix)===0);
            }
            FBPE.endsWith=function(text, suffix) {
                return (text.match(suffix+"$")==suffix);
            }
            FBPE.hasUri=function(urls) {
                urls=urls.trim();
                if(urls=='' || urls=='/' || urls=='*' || urls.toLowerCase()=='all') {
                    return true;
                }

                var args=urls.split('|');
                var result=false;
                for(var i=0; i<args.length; i++) {
                    if(args[i]=='' || args[i]=='/' || args[i]=='*' || args[i].toLowerCase()=='all') {
                        result=true;
                    } else if(FBPE.startsWith(args[i], '[')) {
                        args[i]=args[i].substring(1);
                        result=FBPE.startsWith(location.href, args[i]);
                    } else if(FBPE.endsWith(args[i], ']')) {
                        args[i]=args[i].substring(0, args[i].length-1);
                        result=FBPE.endsWith(location.href, args[i]);
                    } else if(location.href.indexOf(args[i])>-1) {
                        result=true;
                    }
                }

                FBPE.debugLog('hasUri "%s" "%s"] = %s'
                    , urls, location.href, result);
                return result;
            }
            FBPE.debugLog=function(message, p1, p2, p3, p4) {
                if(true) {
                    if(typeof message === 'string') {
                        if(p4===undefined) {
                            p4='';
                        }
                        if(p3===undefined) {
                            p3='';
                        }
                        if(p2===undefined) {
                            p2='';
                        }
                        if(p1===undefined) {
                            p1='';
                        }
                        console.log('PixelEnhancer: '+message, p1, p2, p3, p4);
                    } else {
                        console.log(message);
                    }
                }
            }
            FBPE.check=function(data) {
                if(!FBPE.hasUri(data.urls)) {
                    return false;
                }

                var result=false;
                data.onClickSelector=data.onClickSelector.trim();
                if(data.onClickSelector=='') {
                    result=FBPE.execute(data);
                } else {
                    var $self=FBPE.jQuery(data.id, 'onClickSelector', data.onClickSelector);
                    if($self!==false) {
                        FBPE.debugLog('WAITING FOR CLICK ON=%s', data.onClickSelector);
                        $self.on('click', function(event) {
                            if(false && true) {
                                event.stopPropagation();
                                event.preventDefault();
                            }

                            var $this=window.jQuery(this);
                            data.context=$this;
                            FBPE.execute(data);
                        });
                    } else {
                        FBPE.removeError(data.id, 'onClickSelector');
                    }
                }
                return result;
            }
            FBPE.execute=function(options) {
                FBPE.debugLog('execute');

                var data={};
                data.trackHandler=options.trackHandler;
                data.event=options.event;
                data.context=(options.context || false);
                data.searchString=FBPE.get(options.id, 'searchString', options.searchString, options.context);
                data.currency=FBPE.getCurrency(options.id, 'currency', options.currency, options.context);
                data.value=FBPE.getValue(options.id, 'value', options.value, options.context);
                data.contentName=FBPE.get(options.id, 'contentName', options.contentName, options.context);
                if(data.event=='') {
                    if(data.currency===false || data.currency=='') {
                        data.currency='USD';
                    }
                    if(data.value===false || data.value=='') {
                        data.value=1;
                    }
                }

                var event={};
                if(data.searchString!='') {
                    event.search_string=data.searchString;
                }
                if(data.currency!='') {
                    event.currency=data.currency;
                }
                if(data.value!='') {
                    event.value=data.value;
                }
                if(data.contentName!='') {
                    event.content_name=data.contentName;
                }

                fbq(data.trackHandler, data.event, event);
                FBPE.debugLog('[FbEvent] EVENT=%s (%s/%s)', data.event, data.value, data.currency);
                FBPE.debugLog(event);

                if(true) {
                    data.type='EVENT';
                    data.uri=location.href;

                    $context=data.context;
                    delete data['context'];
                    FBPE.ajaxServer(options);
                    data.context=$context;
                }
                return true;
            }
            FBPE.addError=function(id, target, message) {
                var k='e_'+id+'_t_'+target;
                FBPE.errors[k]={
                    id: id
                    , type: 'ERROR'
                    , target: target
                    , message: message
                    , uri: location.href
                };
            }
            FBPE.removeError=function(id, target) {
                var k='e_'+id+'_t_'+target;
                delete FBPE.errors[k];
            }
            FBPE.qs=function(name, url) {
                if (!url) url = window.location.href;
                name = name.replace(/[\[\]]/g, "\\$&");
                var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                    results = regex.exec(url);
                if (!results) return false;
                if (!results[2]) return false;
                return decodeURIComponent(results[2].replace(/\+/g, " "));
            }
            FBPE.iqs=function(name, url) {
                var result=FBPE.qs(name, url);
                if(result!==false) {
                    result=parseFloat(result);
                    result=(isNaN(result) ? 0 : result);
                } else {
                    result=0;
                }
                return result;
            }
            FBPE.getCurrency=function(id, target, text, $context) {
                var result=FBPE.get(id, target, text, $context);
                if(result==='' && text.length==3) {
                    result=text;
                }
                if(result!==false) {
                    result+='';
                    FBPE.debugLog('[getCurrency] PARSING TEXT=%s', result);
                    if(result.indexOf('$')>-1) {
                        result='USD';
                    } else if(result.indexOf('€')>-1) {
                        result='EUR';
                    } else if(result.indexOf('£')>-1) {
                        result='GBP';
                    }
                }
                if(result!==false && result.length!=3 && result.length>0) {
                    FBPE.addError(id, target, 'NoCurrency');
                    result='USD';
                }
                FBPE.debugLog('[getCurrency] RESULT=%s', result);
                return result;
            }
            FBPE.getValue=function(id, target, text, $context) {
                var result=FBPE.get(id, target, text, $context);
                if(result==='') {
                    result=text;
                }
                if(result!==false) {
                    result+='';
                    FBPE.debugLog('[getValue] PARSING TEXT=%s', result);
                    if(result.indexOf(' ')>-1) {
                        result=result.split(' ');
                        result=result[result.length-1];
                        FBPE.debugLog('[getValue] PARSING ONLY TEXT=%s', result);
                    }
                    result=parseFloat(result);
                    if(isNaN(result)) {
                        result=false;
                    }
                }
                if(result===false && text!='') {
                    result=parseFloat(text);
                    FBPE.debugLog('getValue text=[%s] result=[%s]', text, result);
                    if(!isNaN(result)) {
                        FBPE.removeError(id, target);
                    }
                }
                if((isNaN(result) || result===false) && text!='') {
                    FBPE.addError(id, target, 'NoValue');
                    result=1;
                }
                return result;
            }
            FBPE.get=function(id, target, text, $context) {
                if(!text.trim || text.trim()=='') {
                    return '';
                }

                FBPE.debugLog('[get] GETTING ID=%s, TARGET=%s, TEXT=%s', id, target, text);
                var args=text.split('|');
                var value=FBPE.qs(args[0]);
                if(value===false) {
                    if($context!==false) {
                        FBPE.debugLog('[get] LOOPING IN-CONTEXT VALUE..');
                        var $parent=window.jQuery($context);
                        var $item=false;
                        for(var i=0; i<5; i++) {
                            $parent=$parent.parent();
                            $item=$parent.find(text);
                            if($item.length>0) {
                                break;
                            }
                            $item=false;
                        }

                        if($item!==false && $item.length>0) {
                            $item.each(function(i,v) {
                                var $self=jQuery(this);
                                value=FBPE.val(id, target, $self);
                            });

                            FBPE.debugLog('[get] FOUND IN-CONTEXT=%s VALUE=%s', text, value);
                            FBPE.debugLog($item);
                        } else {
                            FBPE.debugLog('[get] UNABLE TO FIND IN-CONTEXT=%s VALUE', text);
                        }
                    }
                    if(value===false) {
                        value=FBPE.val(id, target, args[0]);
                        FBPE.debugLog('[get] GET VALUE [%s]=%s', args[0], value);
                    }
                }
                if(value===false && args.length>1) {
                    value=args[1]+'';
                    FBPE.debugLog('[get] APPLY DEFAULT VALUE [%s]', value);
                    FBPE.removeError(id, target);
                }
                if(value===false) {
                    value='';
                }
                return value;
            }
            FBPE.jQuery=function(id, target, name) {
                var result=false;
                try {
                    var $self=window.jQuery(name);
                    if($self.length==0) {
                        FBPE.addError(id, target, 'NoItems');
                    } else {
                        result=$self;
                    }
                } catch(ex) {
                    FBPE.addError(id, target, 'Exception');
                    result=false;
                }
                return result;
            }
            FBPE.val=function(id, target, name) {
                var $self=FBPE.jQuery(id, target, name);
                var result=false;
                if($self!==false) {
                    if($self.length>1) {
                        FBPE.addError(id, target, 'MultipleItems');
                    } else {
                        var val='';
                        var text='';
                        if($self.val) {
                            val=$self.val();
                        }
                        if($self.text) {
                            text=$self.text();
                        }

                        if(val=='' && text=='') {
                            FBPE.addError(id, target, 'NoValue');
                        } else {
                            result=(val!='' ? val : text);
                        }
                    }
                }
                return result;
            }
            FBPE.reportErrors=function() {
                if(Object.keys(FBPE.errors).length>0) {
                    FBPE.debugLog('reportError');
                    FBPE.debugLog(FBPE.errors);

                    var data={};
                    var size=1;
                    for (var k in FBPE.errors) {
                        var e=FBPE.errors[k];
                        FBPE.debugLog(e);

                        e=JSON.stringify(e);
                        FBPE.debugLog('E=%s', e);

                        data['body'+size]=e;
                        size++;
                    }

                    FBPE.ajaxServer(data);
                    FBPE.errors=[];
                }
            }
            FBPE.ajaxServer=function(data) {
                var request=new XMLHttpRequest();
                data=FBPE.serialize(data);
                //FBPE.debugLog('DATA=%s', data);

                //var serverUri='https://leadsbridge.com/app/ajax?action=tracePixelEvent&l0G1n=1&'+data;
                /*
                //FBPE.debugLog('ajaxServer');
                //FBPE.debugLog(data);

                request.open('GET', serverUri, true);
                request.onload=function(e) {
                    if (request.status>=200 && request.status<400) {
                        //request.responseText;
                    } else {
                        FBPE.debugLog('REQUEST.WRONG');
                        FBPE.debugLog(data);
                        FBPE.debugLog(request);
                    }
                };
                request.onerror=function(e) {
                    FBPE.debugLog('REQUEST.ERROR');
                    FBPE.debugLog(data);
                    FBPE.debugLog(request);
                };
                //request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
                //request.send(data);
                request.send();*/
            }
            FBPE.serialize=function(obj) {
                var result=[];
                for(var p in obj)
                    if (obj.hasOwnProperty(p)) {
                        result.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
                    }
                return result.join("&");
            }
            FBPE.loadScript=function(src) {
                var script=document.createElement("script");
                script.src=src;
                script.type='text/javascript';
                document.getElementsByTagName("head")[0].appendChild(script);
            }
            FBPE.loadStyle=function(href) {
                var style=document.createElement("link");
                style.href=href;
                style.type='text/css';
                style.rel='stylesheet';
                document.getElementsByTagName("head")[0].appendChild(style);
            }
            FBPE.showDomSelector=function() {
                var t=new Date().getTime();
                FBPE.loadScript('https://leadsbridge.com/app/assets/js/leadsbridge.dom-selector.js?t='+t);
                FBPE.loadStyle('https://leadsbridge.com/app/assets/css/leadsbridge.dom-selector.css?t='+t);
            }
            FBPE.init=function() {
                if (window.jQuery && typeof fbq !== 'undefined') {
                    FBPE.debugLog('init OK');

                    if(FBPE.iqs('lb-dom-selector')==1) {
                        FBPE.showDomSelector();
                    }

                    var done=false;
                                            if(!done) {
                            args={
                                id: 615                                , trackHandler: 'trackCustom'
                                , event: 'Visit'
                                , urls: ''
                                , onClickSelector: ''
                                , searchString: ''
                                , currency: ''
                                , value: ''
                                , contentName: ''
                            };
                            done=FBPE.check(args);
                        }
                                        FBPE.reportErrors();
                    return;
                }

                if(FBPE.loadingTime==0) {
                    FBPE.debugLog('init FIRST TIME');
                    FBPE.loadingTime=+new Date();
                } else if(((+new Date())-FBPE.loadingTime)>10000) {
                    FBPE.debugLog('init TIMEOUT');

                    if(!window.jQuery) {
                        FBPE.addError(0, 'jQuery', 'UnableToLoadJQueryLibrary');
                    }
                    if(typeof fbq === 'undefined') {
                        FBPE.addError(0, 'fbq', 'UnableToLoadFacebookLibrary');
                    }
                    FBPE.reportErrors();
                    return;
                }

                if(!window.jQuery && !FBPE.loadingJQuery) {
                    FBPE.debugLog('LOADING JQUERY');
                    FBPE.loadingJQuery=true;
                    FBPE.loadScript('https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js');
                }
                if(typeof fbq === 'undefined' && !FBPE.loadingFacebook) {
                    FBPE.debugLog('LOADING FACEBOOK');
                    FBPE.loadingFacebook=true;
                }
                window.setTimeout(function() {
                    FBPE.init();
                }, 100);
            }
            FBPE.init();
        })();
        //</script>
    